@echo off
setlocal enabledelayedexpansion
set FILE_PATH=plugin-name.txt
set CONTENT=

:: ask for license
echo Please press any key to agree to the contained license (license.txt) and run checker tool.
pause

:: read file
for /f "usebackq delims=" %%A in ("%FILE_PATH%") do (
  set "CONTENT=%%A"
)

set "CONTENT=%CONTENT: =%

echo Checking plugins: %CONTENT% > result.txt

for /f "tokens=2*" %%a in ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Blace Plugins\Common" /v Location ^| find "Location"') do (
    set "result=%%b"
)

set COMMON_LOCATION=!result!\Blace Plugins
set PLUGIN_LOCATION=C:\Program Files\Adobe\Common\Plug-ins\7.0\MediaCore\%CONTENT%

echo Common Location path is: %COMMON_LOCATION% >> result.txt

dir "%COMMON_LOCATION%" >> result.txt

:: run dependencies

Dependencies_x64_Release\Dependencies.exe -modules -depth 2 "%COMMON_LOCATION%\c10.dll" >> result.txt
echo ... >> result.txt
Dependencies_x64_Release\Dependencies.exe -modules -depth 2 "%COMMON_LOCATION%\c10_cuda.dll" >> result.txt
echo ... >> result.txt
Dependencies_x64_Release\Dependencies.exe -modules -depth 2 "%COMMON_LOCATION%\torch_cpu.dll" >> result.txt
echo ... >> result.txt
Dependencies_x64_Release\Dependencies.exe -modules -depth 2 "%COMMON_LOCATION%\torch_cuda.dll" >> result.txt
echo ... >> result.txt
Dependencies_x64_Release\Dependencies.exe -modules -depth 2 "%PLUGIN_LOCATION%\%CONTENT%Wrapper.aex" >> result.txt
echo ... >> result.txt
Dependencies_x64_Release\Dependencies.exe -modules -depth 2 "%PLUGIN_LOCATION%\%CONTENT%.blaceplugin" >> result.txt
echo ... >> result.txt
echo Please send file "result.txt" to Blace support.
pause